> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request to stake currency in a portfolio

> Creates an execution request to stake funds across a portfolio.  This will stake funds in one or more wallets in the portfolio, with a total bondable balance up to the requested stake amount.



## OpenAPI

````yaml post /v1/portfolios/{portfolio_id}/staking/initiate
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/staking/initiate:
    post:
      tags:
        - Staking
      summary: Request to stake currency in a portfolio
      description: >-
        Creates an execution request to stake funds across a portfolio.  This
        will stake funds in one or more wallets in the portfolio, with a total
        bondable balance up to the requested stake amount.
      operationId: PrimeRESTAPI_PortfolioStakingInitiate
      parameters:
        - name: portfolio_id
          in: path
          description: The portfolio ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              required:
                - amount
                - currency_symbol
                - idempotency_key
              type: object
              properties:
                idempotency_key:
                  type: string
                  description: >-
                    The client generated idempotency key (uuid required) for
                    requested execution. Subsequent requests using the same key
                    will not create new transactions.
                currency_symbol:
                  type: string
                  description: The currency symbol to stake
                amount:
                  type: string
                  description: The quantity of the chosen currency to stake
                metadata:
                  $ref: >-
                    #/components/schemas/coinbase.public_rest_api.PortfolioStakingMetadata
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.PortfolioStakingInitiateResponse
components:
  schemas:
    coinbase.public_rest_api.PortfolioStakingMetadata:
      type: object
      properties:
        external_id:
          type: string
          description: >-
            An optional custom identifier (up to 255 characters) to attach to
            the transaction.  This is not a searchable transaction field.
    coinbase.public_rest_api.PortfolioStakingInitiateResponse:
      type: object
      properties:
        activity_id:
          type: string
          description: The ID for the created activity
        transaction_id:
          type: string
          description: The ID for the created transaction

````